Name:           swayimg
Version:        2.2
Release:        0.1%{?dist}
Summary:        Lightweight image viewer for Wayland display servers

License:        MIT
URL:            https://github.com/artemsen/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  meson >= 0.59

BuildRequires:  giflib-devel
BuildRequires:  pkgconfig(OpenEXR) >= 3.1
BuildRequires:  pkgconfig(bash-completion)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libavif)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libheif)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.46
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(libwebpdemux)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(xkbcommon)

Requires:       hicolor-icon-theme

%description
Swayimg is a lightweight image viewer for Wayland display servers.


%prep
%autosetup


%build
%meson \
    -Dversion=%{version}
%meson_build


%install
%meson_install


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/swayimg.desktop


%files
%license LICENSE
%doc README.md
%doc extra/swayimgrc
%{_bindir}/%{name}
%{_mandir}/man1/swayimg.1*
%{_mandir}/man5/swayimgrc.5*
%{_datadir}/applications/swayimg.desktop
%{_datadir}/icons/hicolor/64x64/apps/swayimg.png
%dir %{_datadir}/swayimg
%{_datadir}/swayimg/swayimgrc
%{bash_completions_dir}/swayimg
%{zsh_completions_dir}/_swayimg


%changelog
* Fri Apr 12 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 2.2-0.1
- Update to 2.2

* Sat Feb 03 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 2.1-0.1
- Update to 2.1

* Wed Jan 10 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 2.0-0.1
- Update to 2.0

* Sat Sep 09 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.12-0.1
- Update to 1.12

* Sat Jun 10 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.11-0.1
- Initial package
